<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.PasswordField?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.text.Font?>

<AnchorPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="634.0" prefWidth="943.0" xmlns="http://javafx.com/javafx/18" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.projetc.mcdonut.controller.LoginController">



    <children>
        <ImageView fitHeight="655.0" fitWidth="958.0" layoutX="-11.0" layoutY="-9.0">
            <image>
                <Image url="@Pictures/loginAndSignBackground.jpeg" />
            </image>
        </ImageView>
        <ImageView fitHeight="195.0" fitWidth="191.0" layoutX="370.0" layoutY="14.0">
            <image>
                <Image url="@Pictures/homerodonut.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="124.0" fitWidth="590.0" layoutX="153.0" layoutY="173.0">
            <image>
                <Image url="@Pictures/welcome back sign in.png" />
            </image>
        </ImageView>
        <TextField fx:id="email" layoutX="448.0" layoutY="341.0" onKeyTyped="#eventKeyEmailField" prefHeight="46.0" prefWidth="318.0" promptText="Email">
            <font>
                <Font size="25.0" />
            </font></TextField>
        <Button fx:id="login" layoutX="552.0" layoutY="520.0" mnemonicParsing="false" onAction="#changeScenePrincipalMain" prefHeight="36.0" prefWidth="114.0" style="-fx-background-color: #FFD600;" text="Login">
            <font>
                <Font name="padmaa-Bold.1.1" size="20.0" />
            </font>
        </Button>
        <ImageView fitHeight="36.0" fitWidth="200.0" layoutX="227.0" layoutY="456.0">
            <image>
                <Image url="@Pictures/PASSWORD.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="58.0" fitWidth="168.0" layoutX="259.0" layoutY="330.0">
            <image>
                <Image url="@Pictures/Email.png" />
            </image>
        </ImageView>
        <Label layoutX="74.0" layoutY="578.0" text="Already a member?">
            <font>
                <Font name="Droid Sans Fallback" size="20.0" />
            </font>
        </Label>
        <Button fx:id="signUp" layoutX="259.0" layoutY="572.0" mnemonicParsing="false" onAction="#changeSceneSignUp" prefHeight="42.0" prefWidth="91.0" style="-fx-background-color: transparent;" text="Sign In" textFill="#4000e1">
            <font>
                <Font name="Abyssinica SIL" size="19.0" />
            </font>
        </Button>
        <PasswordField fx:id="password" layoutX="450.0" layoutY="451.0" onKeyTyped="#eventKeyPasswordField" prefHeight="46.0" prefWidth="318.0" promptText="Password">
            <font>
                <Font size="25.0" />
            </font></PasswordField>
        <Button fx:id="welcomeButton" layoutX="6.0" layoutY="14.0" mnemonicParsing="false" onAction="#changeSceneToWelcome" style="-fx-background-color: transparent;" />
        <Button fx:id="welcome" layoutY="2.0" mnemonicParsing="false" onAction="#changeSceneToWelcome" prefHeight="71.0" prefWidth="91.0" style="-fx-background-color: transparent;">
            <graphic>
                <ImageView fitHeight="52.0" fitWidth="49.0" pickOnBounds="true" preserveRatio="true">
                    <image>
                        <Image url="@Pictures/HomeLogo.png" />
                    </image>
                </ImageView>
            </graphic></Button>
    </children>
</AnchorPane>
